## libgcrypt20 1.8.1

=== debian/changelog ===
libgcrypt20 (1.8.1-4ubuntu1) bionic; urgency=medium

  * Disable the library reading /proc/sys/crypto/fips_enabled file
    and going into FIPS mode. libgcrypt is not a FIPS certified library.
    (LP: #1748310)
    - debian/patches/disable_fips_enabled_read.patch

 -- Vineetha Pai <vineetha.hari.pai@canonical.com>  Fri, 16 Feb 2018 13:45:04 -0500

libgcrypt20 (1.8.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 15 Nov 2017 18:52:21 +0100

libgcrypt20 (1.8.1-3) experimental; urgency=medium

  * Replace 30_fedora_t-secmem-PPC64.diff with
    30_Fix-secmem-test-for-machine-with-larger-page.patch and
    31_tests-Add-HAVE_MMAP-check-for-MinGW.patch from upstream GIT
    LIBGCRYPT-1.8-BRANCH.
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Nov 2017 19:10:39 +0100

libgcrypt20 (1.8.1-2) experimental; urgency=medium

  * Sync priorities with override file
    (libgcrypt11-dev/libgcrypt-mingw-w64-dev: extra -> optional). Bump
    Standards-Version to 4.1.1.
  * Point watchfile to https URL.
  * Use DEB_VERSION_UPSTREAM_REVISION instead of DEB_VERSION to generate fake
    version number.
  * Sync debian/copyright with upstream's LICENSES file, adding the OCB
    license 1. Closes: #879984
  * [lintian] Drop trailing whitespace in control and changelog.
  * [lintian] Fix typo in copyright file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Nov 2017 19:06:49 +0100

libgcrypt20 (1.8.1-1) experimental; urgency=medium

  * New upstream version.
    + Mitigates a local side-channel attack on Curve25519 dubbed "May the
      Fourth be With You".  [CVE-2017-0379] Closes: #873383
    + Add the OID SHA384WithECDSA from RFC-7427 to SHA-384. Closes: 873297
  * Use @ARCHIVE_EXT@ in watchfile instead of hardcoding bz2.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Aug 2017 13:13:01 +0200

libgcrypt20 (1.8.0-2) experimental; urgency=low

  * 30_fedora_t-secmem-PPC64.diff from Fedora package: Fix t_secmen on
    powerpc which uses a pagesize > 16K.
  * Use /usr/share/dpkg/pkg-info.mk instead of invoking dpkg-parsechangelog.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Aug 2017 16:06:03 +0200

libgcrypt20 (1.8.0-1) experimental; urgency=low

  * New upstream version.
    + Drop 30_mpi-Fix-mpi_set_secure.patch.
    + Update copyright file.
    + Update symbol file.
    + Bump libgpg-error-dev b-d requirement to >= 1.25.
    + Update algorithm list in package description.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 19 Jul 2017 19:47:46 +0200

libgcrypt20 (1.7.9-1) unstable; urgency=high

  * New upstream version, mitigates a local side-channel attack on Curve25519
    dubbed "May the Fourth be With You".  [CVE-2017-0379] Closes: #873383
    + Drop 30_mpi-Fix-mpi_set_secure.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Aug 2017 11:56:17 +0200
