=== debian/control ===
Source: libgcrypt20
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
 Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>,
 Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper (>= 9.20150628),
 libgpg-error-dev (>= 1.25), dh-autoreconf, automake (>= 1:1.12)
Build-Depends-Indep: texlive-latex-base, texlive-generic-recommended,
 texinfo (>= 4.6-0), mingw-w64, libgpg-error-mingw-w64-dev
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-gnutls/libgcrypt.git -b branch1.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnutls/libgcrypt.git/?h=branch1.6
Rules-Requires-Root: no
Homepage: http://directory.fsf.org/project/libgcrypt/

Package: libgcrypt20-doc
Section: doc
Architecture: all
Suggests: libgcrypt20-dev
Conflicts: libgcrypt7-doc, libgcrypt-doc, libgcrypt11-doc
Replaces: libgcrypt7-doc, libgcrypt-doc, libgcrypt11-doc
Depends: ${misc:Depends}
Description: LGPL Crypto library - documentation
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Poly1305, Camellia, ChaCha20, IDEA, Salsa, Blake-2, CRC, MD2, MD4, MD5,
 RIPE-MD160, SHA-1, SHA-256, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512,
 SHAKE128, SHAKE256, Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC
 (Curve25519, sec256k1, GOST R 34.10-2001 and GOST R 34.10-2012, etc.)
 .
 This package contains developer documentation.

Package: libgcrypt20-dev
Section: libdevel
Architecture: any
Conflicts: libgcrypt-dev, libgcrypt11-dev (<< 1.5.4-3+really1.6.2-4)
Provides: libgcrypt-dev
Depends: libgcrypt20 (= ${binary:Version}), libc6-dev | libc-dev,
 libgpg-error-dev, ${misc:Depends}
Suggests: libgcrypt20-doc
Description: LGPL Crypto library - development files
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Poly1305, Camellia, ChaCha20, IDEA, Salsa, Blake-2, CRC, MD2, MD4, MD5,
 RIPE-MD160, SHA-1, SHA-256, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512,
 SHAKE128, SHAKE256, Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC
 (Curve25519, sec256k1, GOST R 34.10-2001 and GOST R 34.10-2012, etc.)
 .
 This package contains header files and libraries for static linking.

Package: libgcrypt20
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rng-tools
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: LGPL Crypto library - runtime library
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Poly1305, Camellia, ChaCha20, IDEA, Salsa, Blake-2, CRC, MD2, MD4, MD5,
 RIPE-MD160, SHA-1, SHA-256, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512,
 SHAKE128, SHAKE256, Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC
 (Curve25519, sec256k1, GOST R 34.10-2001 and GOST R 34.10-2012, etc.)

Package: libgcrypt20-udeb
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LGPL Crypto library - runtime library
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Poly1305, Camellia, ChaCha20, IDEA, Salsa, Blake-2, CRC, MD2, MD4, MD5,
 RIPE-MD160, SHA-1, SHA-256, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512,
 SHAKE128, SHAKE256, Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC
 (Curve25519, sec256k1, GOST R 34.10-2001 and GOST R 34.10-2012, etc.)

Package: libgcrypt11-dev
Section: oldlibs
Architecture: any
Depends: libgcrypt20-dev (>= ${source:Upstream-Version}), ${misc:Depends}
Breaks: libgnutls-dev (<< 2.12.23-18)
Description: transitional libgcrypt11-dev package
 This is a transitional dummy package to ease the migration from
 libgcrypt11-dev to libgcrypt20-dev. You can safely remove this package.

Package: libgcrypt-mingw-w64-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libgpg-error-mingw-w64-dev
Suggests: wine
Description: LGPL Crypto library - Windows development
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Poly1305, Camellia, ChaCha20, IDEA, Salsa, Blake-2, CRC, MD2, MD4, MD5,
 RIPE-MD160, SHA-1, SHA-256, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512,
 SHAKE128, SHAKE256, Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC
 (Curve25519, sec256k1, GOST R 34.10-2001 and GOST R 34.10-2012, etc.)
 .
 This is a Windows version of libgcrypt.  It's meant to be used when
 cross-building software that targets the Windows platform, e.g. the
 win32-loader component of Debian-Installer.
