## libgcrypt20 1.8.3

=== debian/changelog ===
libgcrypt20 (1.8.3-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 10 Jul 2018 14:00:16 +0200

libgcrypt20 (1.8.3-1) unstable; urgency=high

  * [lintian] Fix spelling-error-in-patch-description in
    15_multiarchpath_in_-L.diff.
  * New upstream version.
    + Use blinding for ECDSA signing to mitigate a novel side-channel
      attack.  CVE-2018-0495
  * [lintian] Delete trailing empty lines in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Jun 2018 19:15:54 +0200

libgcrypt20 (1.8.2-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 29 May 2018 11:03:10 +0200

libgcrypt20 (1.8.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Partially sync priorities with override file. (libgcrypt20 optional from
    standard.)
  * Point Vcs* to salsa.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Mar 2018 18:43:21 +0200

libgcrypt20 (1.8.2-1) experimental; urgency=medium

  * New upstream version.
    + Drop 30_Fix-secmem-test-for-machine-with-larger-page.patch and
      31_tests-Add-HAVE_MMAP-check-for-MinGW.patch.
  * Use dh v10 mode. Bump b-d, drop explicit b-d on automake and
    dh_autoreconf, remove --parallel --with autoreconf options from dh
    invocation.
  * Clean up, delete some libgcrypt20-dbg leftovers.
  * Use https for upstream URL.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Dec 2017 13:36:49 +0100

libgcrypt20 (1.7.9-2) unstable; urgency=medium

  * Sync debian/copyright with upstream's LICENSES file, adding the OCB
    license 1. Closes: #879984
  * [lintian] Drop trailing whitespace in control and changelog.
  * [lintian] Sync priorities with override file (extra -> optional).
  * [lintian] Fix typo in copyright file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Nov 2017 16:37:16 +0100
