=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Uploaders: Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>
-Build-Depends: debhelper (>= 9.20150628),
- libgpg-error-dev (>= 1.25), dh-autoreconf, automake (>= 1:1.12)
+Build-Depends: debhelper (>= 10),
+ libgpg-error-dev (>= 1.25)
 Build-Depends-Indep: texlive-latex-base, texlive-generic-recommended,
  texinfo (>= 4.6-0), mingw-w64, libgpg-error-mingw-w64-dev
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnutls/libgcrypt.git -b branch1.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnutls/libgcrypt.git/?h=branch1.6
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/gnutls-team/libgcrypt.git -b branch1.6
+Vcs-Browser: https://salsa.debian.org/gnutls-team/libgcrypt/tree/branch1.6
 Rules-Requires-Root: no
-Homepage: http://directory.fsf.org/project/libgcrypt/
+Homepage: https://directory.fsf.org/project/libgcrypt/
 
 Package: libgcrypt20-doc
 Section: doc
@@ -58,7 +58,6 @@
  This package contains header files and libraries for static linking.
 
 Package: libgcrypt20
-Priority: standard
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: rng-tools
