## libgcrypt20 1.8.4

=== debian/changelog ===
libgcrypt20 (1.8.4-5.lnd.1) unstable; urgency=medium

  * Do not build libgcrypt-mingw-w64-dev.

 -- Wang Ming <wangming@loongson.cn>  Tue, 13 Oct 2020 14:13:23 +0800

libgcrypt20 (1.8.4-5) unstable; urgency=medium

  * 30_doc-Fix-library-initialization-examples.patch from upstream
    LIBGCRYPT-1.8-BRANCH: Stop suggesting gcry_check_version (GCRYPT_VERSION)
    in documentation. Add some touch magic to still allow building without
    makeinfo. See #914009
  * [lintian] Minimize upstream/signing-key.asc.
  * Use dh v11 compatibility level.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Jan 2019 14:47:23 +0100

libgcrypt20 (1.8.4-4) unstable; urgency=medium

  * Run "wrap-and-sort --max-line-length=72 --short-indent" and add back
    autodeleted comments.
  * Drop libgcrypt11-dev transition package. Closes: #878654

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Dec 2018 13:43:39 +0100

libgcrypt20 (1.8.4-3) unstable; urgency=medium

  * Fix arch-indep build error by running dh_auto_install for both -arch and
    -indep builds.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Oct 2018 07:22:27 +0100

libgcrypt20 (1.8.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Use dh_missing.
  * Ship info files from installed tree (debian/tmp/) instead of from doc/.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 18:33:22 +0200

libgcrypt20 (1.8.4-1) experimental; urgency=medium

  * New upstream bugfix release.
    + Drop 40-*.patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 07:45:13 +0200

libgcrypt20 (1.8.3-2) experimental; urgency=low

  * Update from LIBGCRYPT-1.8-BRANCH:
    + 40-01-Post-release-updates.patch
    + 40-02-random-Fix-hang-of-_gcry_rndjent_get_version.patch
    + 40-03-sexp-Fix-uninitialized-use-of-a-var-in-the-error-cas.patch
    + 40-04-ecc-Fix-potential-unintended-freeing-of-an-internal-.patch
    + 40-06-ecc-Fix-possible-memory-leakage-in-parameter-check-o.patch
    + 40-07-ecc-Fix-memory-leak-in-the-error-case-of-ecc_encrypt.patch
    + 40-08-Fix-memory-leak-in-secmem-in-out-of-core-conditions.patch
    + 40-09-doc-Update-yat2m.c-from-upstream-libgpg-error.patch
    + 40-10-build-Add-release-make-target.patch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 26 Oct 2018 17:29:25 +0200
