## libgcrypt20 1.8.4.3

=== debian/changelog ===
libgcrypt20 (1.8.4.3-1+dde) unstable; urgency=medium

  * Update changelog version

 -- liaoyuan <liaoyuan@uniontech.com>  Thu, 21 Jul 2022 14:36:57 +0800

libgcrypt20 (1.8.4.1-5) unstable; urgency=medium

  * 31_cipher-Fix-ElGamal-encryption-for-other-implementati.patch from
    upstream LIBGCRYPT-1.8-BRANCH: Fix weak ElGamal encryption with keys *not*
    generated by GnuPG/libgcrypt. CVE-2021-33560

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 May 2021 13:32:02 +0200

libgcrypt20 (1.8.4-5+dde) unstable; urgency=medium

  * 30_doc-Fix-library-initialization-examples.patch from upstream
    LIBGCRYPT-1.8-BRANCH: Stop suggesting gcry_check_version (GCRYPT_VERSION)
    in documentation. Add some touch magic to still allow building without
    makeinfo. See #914009
  * [lintian] Minimize upstream/signing-key.asc.
  * Use dh v11 compatibility level.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Jan 2019 14:47:23 +0100
