## libgcrypt20 1.8.5

=== debian/changelog ===
libgcrypt20 (1.8.5-3) unstable; urgency=medium

  * Switch b-d from texlive-generic-recommended to texlive-plain-generic.
    Closes: #941536

 -- Andreas Metzler <ametzler@debian.org>  Wed, 02 Oct 2019 19:37:25 +0200

libgcrypt20 (1.8.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Aug 2019 19:08:39 +0200

libgcrypt20 (1.8.5-1) experimental; urgency=medium

  * Drop --add-udeb=libgcrypt20-udeb to work around debhelper bug #935577.
  * New upstream version.
    + Fixes ECDSA timing attack. CVE-2019-13627 Closes: #938938
    + Drop 30_doc-Fix-library-initialization-examples.patch
    + Ship newly available pkgconfig file in libgcrypt20-dev, moving gpg-error
      from Requires to Requires.private in new
      13_lessdeps_libgcrypt-pkgconfig.diff.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 30 Aug 2019 18:44:49 +0200
