=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  Simon Josefsson <simon@josefsson.org>
 Build-Depends: debhelper-compat (= 11), libgpg-error-dev (>= 1.25)
 Build-Depends-Indep:
+ libgpg-error-mingw-w64-dev,
+ mingw-w64,
  texinfo (>= 4.6-0),
- texlive-generic-recommended,
+ texlive-plain-generic,
  texlive-latex-base
-#  libgpg-error-mingw-w64-dev,
-#  mingw-w64,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/gnutls-team/libgcrypt.git -b branch1.6
 Vcs-Browser: https://salsa.debian.org/gnutls-team/libgcrypt/tree/branch1.6
 Rules-Requires-Root: no
@@ -97,22 +97,22 @@
  SHAKE128, SHAKE256, Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC
  (Curve25519, sec256k1, GOST R 34.10-2001 and GOST R 34.10-2012, etc.)
 
-# Package: libgcrypt-mingw-w64-dev
-# Section: libdevel
-# Architecture: all
-# Depends: libgpg-error-mingw-w64-dev, ${misc:Depends}, ${shlibs:Depends}
-# Suggests: wine
-# Description: LGPL Crypto library - Windows development
-#  libgcrypt contains cryptographic functions.  Many important free
-#  ciphers, hash algorithms and public key signing algorithms have been
-#  implemented:
-#  .
-#  Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
-#  Poly1305, Camellia, ChaCha20, IDEA, Salsa, Blake-2, CRC, MD2, MD4, MD5,
-#  RIPE-MD160, SHA-1, SHA-256, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512,
-#  SHAKE128, SHAKE256, Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC
-#  (Curve25519, sec256k1, GOST R 34.10-2001 and GOST R 34.10-2012, etc.)
-#  .
-#  This is a Windows version of libgcrypt.  It's meant to be used when
-#  cross-building software that targets the Windows platform, e.g. the
-#  win32-loader component of Debian-Installer.
+Package: libgcrypt-mingw-w64-dev
+Section: libdevel
+Architecture: all
+Depends: libgpg-error-mingw-w64-dev, ${misc:Depends}, ${shlibs:Depends}
+Suggests: wine
+Description: LGPL Crypto library - Windows development
+ libgcrypt contains cryptographic functions.  Many important free
+ ciphers, hash algorithms and public key signing algorithms have been
+ implemented:
+ .
+ Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
+ Poly1305, Camellia, ChaCha20, IDEA, Salsa, Blake-2, CRC, MD2, MD4, MD5,
+ RIPE-MD160, SHA-1, SHA-256, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512,
+ SHAKE128, SHAKE256, Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC
+ (Curve25519, sec256k1, GOST R 34.10-2001 and GOST R 34.10-2012, etc.)
+ .
+ This is a Windows version of libgcrypt.  It's meant to be used when
+ cross-building software that targets the Windows platform, e.g. the
+ win32-loader component of Debian-Installer.
