=== debian/rules ===
--- 
+++ 
@@ -19,37 +19,37 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V 'libgcrypt20 (>=1.8.0-0)' \
-		--add-udeb=libgcrypt20-udeb -- -c4
+		-- -c4
 
 override_dh_auto_build-indep:
 	# use current version in /usr/share/texmf/tex/texinfo/, see #803081
 	rm -f build-aux/texinfo.tex
 	cd build/doc && $(MAKE) stamp-vti
 	cd build/doc && $(MAKE) pdf html
-# 	for cpu in i686 x86_64; do \
-# 	 mkdir -p build-$$cpu-w64-mingw32 && \
-# 	 cd build-$$cpu-w64-mingw32 && $(WIN_FLAGS) ../configure \
-# 	    --prefix=/usr/$$cpu-w64-mingw32 \
-# 	    --with-libgpg-error-prefix=/usr/$$cpu-w64-mingw32 \
-# 	    --disable-padlock-support --disable-asm \
-# 	    --enable-static \
-# 	    --host $$cpu-w64-mingw32 && \
-# 	  $(WIN_FLAGS) $(MAKE) \
-# 	  || exit 1 ; \
-# 	  cd .. ; \
-# 	done
+	for cpu in i686 x86_64; do \
+	 mkdir -p build-$$cpu-w64-mingw32 && \
+	 cd build-$$cpu-w64-mingw32 && $(WIN_FLAGS) ../configure \
+	    --prefix=/usr/$$cpu-w64-mingw32 \
+	    --with-libgpg-error-prefix=/usr/$$cpu-w64-mingw32 \
+	    --disable-padlock-support --disable-asm \
+	    --enable-static \
+	    --host $$cpu-w64-mingw32 && \
+	  $(WIN_FLAGS) $(MAKE) \
+	  || exit 1 ; \
+	  cd .. ; \
+	done
 
 debian/tmp/usr/include/gcrypt.h:
 	dh_auto_install --verbose --builddirectory=build
 
-# override_dh_auto_install-indep:	debian/tmp/usr/include/gcrypt.h
-# 	for cpu in i686 x86_64; do \
-# 	  cd build-$$cpu-w64-mingw32 && \
-# 	  $(MAKE) install DESTDIR=$(shell pwd)/debian/tmp \
-# 	  || exit 1 ; \
-# 	  cd .. ; \
-# 	done
-# 	find debian/tmp -name libgcrypt.la -type f -delete
+override_dh_auto_install-indep:	debian/tmp/usr/include/gcrypt.h
+	for cpu in i686 x86_64; do \
+	  cd build-$$cpu-w64-mingw32 && \
+	  $(MAKE) install DESTDIR=$(shell pwd)/debian/tmp \
+	  || exit 1 ; \
+	  cd .. ; \
+	done
+	find debian/tmp -name libgcrypt.la -type f -delete
 
 override_dh_auto_install-arch:	debian/tmp/usr/include/gcrypt.h
 	mkdir -p -m755 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
