## libgcrypt20 1.8.7

=== debian/changelog ===
libgcrypt20 (1.8.7-6) unstable; urgency=medium

  * Update from LIBGCRYPT-1.8-BRANCH:
    + 30_10-cipher-Fix-ElGamal-encryption-for-other-implementati.patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 27 May 2021 18:07:38 +0200

libgcrypt20 (1.8.7-5) unstable; urgency=medium

  * Pull fix for ECC decyryption regression (caused by
    30_08-ecc-Check-the-input-length-for-the-point.patch) from
    LIBGCRYPT-1.8-BRANCH. Closes: #987956

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 May 2021 18:06:14 +0200

libgcrypt20 (1.8.7-4) unstable; urgency=medium

  * Update from LIBGCRYPT-1.8-BRANCH:
    + 30_07-Fix-previous-commit.patch
    + 30_08-ecc-Check-the-input-length-for-the-point.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 May 2021 13:58:47 +0200

libgcrypt20 (1.8.7-3) unstable; urgency=medium

  * Update from LIBGCRYPT-1.8-BRANCH:
    + 30_01-Post-release-updates.patch
    + 30_02-tests-Put-a-work-around-to-tests-random-for-macOS.patch
    + 30_03-ecc-Add-checking-key-for-ECDSA.patch
    + 30_04-Fix-ubsan-warnings-for-i386-build.patch
    + 30_05-Add-handling-for-Og-with-O-flag-munging.patch
    + 30_06-Make-sure-the-grcy_get_config-string-is-always-null-.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Feb 2021 15:27:13 +0100

libgcrypt20 (1.8.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Oct 2020 08:00:01 +0100

libgcrypt20 (1.8.7-1) experimental; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libgcrypt-mingw-w64-dev, libgcrypt20-doc: Add Multi-Arch: foreign.

  [ Andreas Metzler ]
  * Update debian/upstream/signing-key.asc from
    https://gnupg.org/signature_key.html.
  * New upstream bugfix release.
  * Use dh v13 compat level.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 26 Oct 2020 10:19:55 +0100

libgcrypt20 (1.8.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Jul 2020 07:09:01 +0200

libgcrypt20 (1.8.6-1) experimental; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Andreas Metzler ]
  * New upstream version.
    + Drop 40_*.patch
  * Install library to /usr/lib instead of /lib in udeb, too.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Jul 2020 13:08:25 +0200

libgcrypt20 (1.8.5-5) unstable; urgency=low

  * Upload to unstable.
  * Drop libgcrypt20-dev's Conflicts with ancient (pre-jessie)
    libgcrypt11-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Feb 2020 13:39:58 +0100

libgcrypt20 (1.8.5-4) experimental; urgency=low

  * Move library from /lib to /usr/lib instead of splitting
    runtime/development over both locations. This includes moving the
    pkgconfig file. Closes: #951039
  * Use DH 12 compat level.
    + Drop superfluous dh_missing override.
    + In debian/rules export DPKG_GENSYMBOLS_CHECK_LEVEL=4 instead of
      overriding override_dh_makeshlibs.
  * Update from upstream LIBGCRYPT-1.8-BRANCH:
    + 40_01-ecc-Add-a-keygrip-testcase-for-cv25519.patch
    + 40_02-ecc-Fix-wrong-handling-of-shorten-PK-bytes.patch
    + 40_03-Fix-declaration-of-internal-function-_gcry_mpi_get_u.patch
    + 40_04-random-Fix-include-of-config.h.patch
    + 40_05-Set-vZZ.16b-register-to-zero-before-use-in-armv8-gcm.patch
    + 40_06-Fix-wrong-code-execution-in-Poly1305-ARM-NEON-implem.patch
  * Add usr/lib/*/libgcrypt.la to debian/not-installed.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Feb 2020 11:39:04 +0100
